### Method

# Ide EditorSearch end_interactive

#### Declaration

    void
    ide_editor_search_end_interactive (
      IdeEditorSearch* self
    )

#### Description

This function completes an interactive search previously performed with ide_editor_search_begin_interactive().

This should be called when the user has left the search controls, as it might allow the editor to restore positioning back to the previous editor location from before the interactive search began.

Available since: | 3.32